<?php

class ClassementController extends Controller { // classe de contrôleur pour l'affichage des classements
	public function display() {
		$slug = $this->route["params"]["slug"]; // on récupère le "slug", en gros tout le reste de l'URL qui n'a pas encore servi
		
		//explode du slug pour savoir si on veut le classement par jeu ou global
		$parts = explode("/", $slug); // on sépare la requête selon les /, et on regarde ce qu'on connait comme ordres dedans
		if($parts[0] == "jeu") { // && count($parts) == 2) { // on veut consulter le classement d'un jeu
			$this->view->lejeu = $parts[1];
			$this->view->classement = Classement::getFromSlug($parts[1]); // on utilise le modèle pour aller chercher en BDD le classement relatif au jeu qui nous intéresse
		}
		else { // if($parts[0] == "global") { // on veut consulter le classement d'un jeu (on en fait le cas général pour éviter les pages blanches)
			$this->view->lejeu = "général";
			$this->view->classement = Classement::getGlobal(); // on utilise le modèle pour aller chercher en BDD le classement relatif au jeu qui nous intéresse
		}
		
		//  et classement/global pour le classement général
		
		$this->view->display(); // on affiche ce classement
	}
}
